{% extends "base.html" %}
{% load crispy_forms_tags %}
{% block content %}
    <div class="row">
        <div class="col">
            <h1 class="">Flux : {{ content.feed.feed_group.name }} - {{ content.feed.name }}</h1>
            {% if can_moderate %}
                {% if content.state != "A" %}<a href="{% url "approve_content" content.pk %}">
                    <button type="button" class="btn btn-success">Approuver</button>
                </a>{% endif %}
                {% if content.state != "R" %}
                    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
                        Rejeter
                    </button>{% endif %}
                <a href="{% url "update_content" content.pk %}">
                    <button type="button" class="btn btn-primary">Modifier</button>
                </a>
            {% endif %}
            {% if can_delete %}
                <form style="display: inline;" method="get" action="{% url "delete_content" content.pk %}">
                    <button class="btn btn-dark" onclick="return confirm('Etes vous sur ? Ceci est irréversible')">
                        Supprimer
                    </button>
                </form>
            {% endif %}
            <br>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-sm-3 mb-3">
            <!--left col-->
            <ul class="list-group">
                <li class="list-group-item text-muted" contenteditable="false">Détails</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Titre: </strong></span><br> {{ content.name }}</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong class="">Utilisateur : </strong></span><br> {{ content.user.first_name }} {{ content.user.last_name }}<br/>{{ content.user.email }}
                </li>
                {% if content.user_moderator is not None %}
                    <li class="list-group-item text-right"><span class="pull-left"><strong
                            class="">Modérateur : </strong></span><br>{{ content.user_moderator.first_name }}
                        {{ content.user_moderator.last_name }}{% if content.reject_reason is not None %}<br/>
                            Raison : {{ content.reject_reason }}{% endif %}</li>{% endif %}
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Dates : </strong></span> {{ content.begin_date }} - {{ content.end_date }}
                    ({{ content.begin_date|timesince:content.end_date }})
                </li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Durée : </strong></span> {{ content.duration }} seconde{{ content.duration|pluralize }}
                </li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Type : </strong></span>{{ content.content_type }}</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Statut : </strong></span><br>
                    {% if content.state == "P" %}
                        <span class="badge badge-warning">En modération</span>
                    {% elif content.state == "R" %}
                        <span class="badge badge-danger">Refusé</span>
                    {% else %}
                        {% if content.future == 1 %}
                            <span class="badge badge-info">Programmé</span>
                        {% elif content.past == 1 %}
                            <span class="badge badge-dark">Expiré</span>
                        {% else %}
                            <span class="badge badge-success">En diffusion</span>
                        {% endif %}
                    {% endif %}</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Nombre image{{ images.count|pluralize }} : </strong></span> {{ images.count }}</li>
            </ul>
        </div>
        <!--/col-3-->
        <div class="col-sm-9" style="" contenteditable="false">
            {% if content.content_type == "I" %}
                {% for image in images %}
                    <img src="{{ image.get_image_url }}" style="max-width: 100%; max-height: auto" alt="Image id {{ forloop.counter }}"/> <br/>
                    <h5 align="center">Dimensions : {{ image.get_image_size.0 }} x {{ image.get_image_size.1 }}</h5>
                {% endfor %}
            {% elif content.content_type == "Y" %}
                <iframe id="ytplayer" type="text/html" height="100%" width="100%"
                        src="https://www.youtube.com/embed/{{ content.content_url }}?VQ=HD1080"
                        frameborder="0" title="Youtube frame"></iframe>
            {% elif content.content_type == "U" %}
                <iframe id="ytplayer" type="text/html" height="100%" width="100%" src="{{ content.content_url }}"
                        frameborder="0" title="Youtube frame"></iframe>
            {% endif %}
        </div>
    </div>

    {% if content.state != "R" %}
        <!-- Modal -->
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
             aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Rejeter le contenu</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form method="post" action="{% url "reject_content" content.pk %}"
                              enctype="multipart/form-data">
                            {% csrf_token %}
                            {{ form|crispy }}
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary">Valider le rejet</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}
{% endblock %}